---
sidebar_position: 2
sidebar_label: Setup
---

# Getting Started with VehiclesPlus

Welcome to VehiclesPlus! This guide will walk you through installing the plugin, setting up the resource pack, and
getting started with your first vehicle.

---

## Step 1: Plugin Installation

To use VehiclesPlus, follow these steps to install the plugin:

1. If you want to use the plugin's economy features, make sure you have
   installed [Vault](https://dev.bukkit.org/projects/vault) and an economy manager
   like [EssentialsX](https://essentialsx.net/downloads.html).
2. Download the plugin on [Spigot](https://www.spigotmc.org/resources/vehiclesplus-1-13-1-21.70523/)
   or [Polymart](https://polymart.org/resource/vehiclesplus-1-12-1-20-2.633)
3. Put the JAR file into your `/plugins` folder.
4. Restart your server.

To verify the installation:

- Run `/plugins` in your server console or in-game to confirm that VehiclesPlus is loaded (it must be green).

---

## Step 2: Resourcepack Download

VehiclesPlus requires a resource pack for vehicles to display properly. We provide an **example resource pack** for your
convenience, but we recommend creating your own to support custom vehicles and models.

|     Version     |                                                                      Download                                                                      | SHA1 Hash                                  |
|:---------------:|:--------------------------------------------------------------------------------------------------------------------------------------------------:|--------------------------------------------|
| 1.13.2 - 1.14.4 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.13.2-1.14.4.zip) | `b61d1c370b3768cf966b80c6bfb66f905cb37b8a` |
| 1.15.2 - 1.16.1 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.15.2-1.16.1.zip) | `6f25bca11dfb736310fd408a901fc763f87c0b95` |
| 1.16.2 - 1.16.5 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.16.2-1.16.5.zip) | `1f0914aa530f5b8de4c64e0d771d1bf4f1694718` |
|  1.17 - 1.17.1  |  [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.17-1.17.1.zip)  | `c294db880a9ebc197e56586f1fe4192fcea56f43` |
|  1.18 - 1.18.2  |  [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.18-1.18.2.zip)  | `8e4d4ce39335f762853f7c72e538fbf380c491d8` |
|  1.19 - 1.19.2  |  [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.19-1.19.2.zip)  | `7aec2e0c56633627f8f1e1d18f01afddf7879388` |
|     1.19.3      |    [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.19.3.zip)     | `dc8450aae3e75854103c61387f7c56c2ead010e1` |
|     1.19.4      |    [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.19.4.zip)     | `fe044f3bb4bff8af8fc6f73963acd7d734adf8a8` |
|  1.20 - 1.20.1  |  [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.20-1.20.1.zip)  | `8c75d9fa52c1ed1ca12cd70b051432625c807dc1` |
|     1.20.2      |    [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.20.2.zip)     | `da570a8a150a25706c0a885ac34fe4effa64f268` |
| 1.20.3 - 1.20.4 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.20.3-1.20.4.zip) | `af9afb8611106d0688033ce018bbad16cf6d92f9` |
| 1.20.5 - 1.20.6 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.20.5-1.20.6.zip) | `e137d76255f05773be8fae962836b8ac24814121` |
|  1.21 - 1.21.1  |  [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.21-1.21.1.zip)  | `b08e6268d89c765df3403f2f1b34e0a724422f6c` |
| 1.21.2 - 1.21.3 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.21.2-1.21.3.zip) | `d415719b803bb35dd12e35389fb44f85c51df4f9` |
|     1.21.4      |    [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.21.4.zip)     | `14e92415fc14dd56cd209a486c555efe8d0529a3` |

### Using the Example Pack as a Server Resource Pack:

It's also possible to use our example pack as your server resourcepack.

**You can configure your server to use our example resource pack automatically:**

1. Open your `server.properties` file.
2. Copy the resource pack link for your version from the table above and paste it after `resource-pack=` in the file.
3. Copy the SHA1 hash for your version and paste it after `resource-pack-sha1=`.

Example:

```properties
resource-pack=https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.20.2.zip
resource-pack-sha1=da570a8a150a25706c0a885ac34fe4effa64f268
```

Save the file and restart your server.

## Step 3: Spawning Your First Vehicle

Once the plugin and resource pack are installed, you're ready to spawn your first vehicle:

1. **Give yourself a vehicle**
   Use the `/v give <player> <vehicle> [red] [green] [blue]` command to obtain a vehicle.
   Example: `/v give SBDevelopment ExampleCar`

2. **Place the Vehicle**
   Open the garage using `/vgarage` and left-click the vehicle in the garage menu to spawn it.

3. **Drive the Vehicle**
    - Enter the vehicle by right-clicking on a seat.
    - Use shift right-click to open the vehicle menu.
    - Use your movement keys (WASD) when in a driver seat to drive.